# Uses of Interface
org.opensaml.xmlsec.encryption.Specified

Packages that use Specified
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of Specified in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return Specified
Modifier and Type
Method
Description
`Specified`
Salt.`getSpecified()`
Get the Specified child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type Specified
Modifier and Type
Method
Description
`void`
Salt.`setSpecified(Specified specified)`
Set the Specified child element.

## Uses of Specified in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement Specified
Modifier and Type
Class
Description
`class`
`SpecifiedImpl`
Concrete implementation of `Specified`.
Fields in org.opensaml.xmlsec.encryption.impl declared as Specified
Modifier and Type
Field
Description
`private Specified`
SaltImpl.`specified`
Specified child element value.
Methods in org.opensaml.xmlsec.encryption.impl that return Specified
Modifier and Type
Method
Description
`Specified`
SpecifiedBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`Specified`
SpecifiedBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Specified`
SaltImpl.`getSpecified()`
Get the Specified child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type Specified
Modifier and Type
Method
Description
`void`
SaltImpl.`setSpecified(Specified newSpecified)`
Set the Specified child element.